﻿using CSHTML5;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ThreeJS.Utils;

namespace ThreeJS.Camera
{
    public class PerspectiveCamera
    {
        public double fov = 0;
        public double aspect = 0;
        public double near = 0;
        public double far = 0;
        public Point3D position = new Point3D();
        public void ToJSON(StringBuilder sb)
        {
            sb.Append("{");
            sb.Append(" \"fov\":"); sb.Append(fov.ToString());
            sb.Append(", \"aspect\":"); sb.Append(aspect.ToString());
            sb.Append(", \"near\":"); sb.Append(near.ToString());
            sb.Append(", \"far\":"); sb.Append(far.ToString());
            sb.Append(", \"px\":"); sb.Append(position.X.ToString());
            sb.Append(", \"py\":"); sb.Append(position.Y.ToString());
            sb.Append(", \"pz\":"); sb.Append(position.Z.ToString());
            sb.Append("}");
        }

    }
}
