﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI;
using Windows.UI.Xaml.Media;

namespace ThreeJS.Mesh
{
    public class Material
    {
        public Color cBrush;
        public Material(Color pBrush)
        {
            cBrush = pBrush;
        }

        public void ToJSON(StringBuilder pJSON)
        {
            pJSON.Append("\"MAT\":{");

            pJSON.Append("\"R\":");
            pJSON.Append((cBrush.R / 255.0).ToString());

            pJSON.Append(",\"G\":");
            pJSON.Append((cBrush.G / 255.0).ToString());

            pJSON.Append(",\"B\":");
            pJSON.Append((cBrush.B / 255.0).ToString());

            pJSON.Append("}");
        }
    }

    public class DiffuseMaterial : Material
    {
        public DiffuseMaterial(Color pBrush) : base(pBrush)
        {
        }
    }
}
