﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ThreeJS.Mesh
{
    public class Model3DGroup
    {

        public List<GeometryModel3D> Children = new List<GeometryModel3D>();

        public void ToJSON(StringBuilder pJSON)
        {
            bool first = true;
            pJSON.Append("\"GRP\":[");
            foreach (GeometryModel3D g in Children)
            {
                if (!first) pJSON.Append(",");
                first = false;
                pJSON.Append("{");
                g.ToJSON(pJSON);
                pJSON.Append("}");
            }
            pJSON.Append("]");
        }
    }
}
