﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ThreeJS.Mesh
{
    public class GeometryModel3D
    {
        public Geometry3D cGeometry;
        public Material cMaterial;
        public GeometryModel3D(Geometry3D pGeometry, Material pMaterial)
        {
            cGeometry = pGeometry;
            cMaterial = pMaterial;
        }

        public void ToJSON(StringBuilder pJSON)
        {
            cGeometry.ToJSON(pJSON);
            pJSON.Append(",");
            cMaterial.ToJSON(pJSON);
        }
    }
}
