﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ThreeJS.Utils
{
    public class Point3D
    {
        public Point3D()
        {
            X = 0;
            Y = 0;
            Z = 0;
        }

        public Point3D(double pX, double pY, double pZ)
        {
            X = pX;
            Y = pY;
            Z = pZ;
        }

        public double X;
        public double Y;
        public double Z;

        public void ToJSON(StringBuilder pJSON)
        {
            pJSON.Append(X.ToString());
            pJSON.Append(',');
            pJSON.Append(Y.ToString());
            pJSON.Append(',');
            pJSON.Append(Z.ToString());
        }

    }
}
